Subject: bug#52479: 27.2; EDebugging stops when breakpoint condition can not be printed

From: Michael Heerdegen <[email-masked]>
Date: Sun, 19 Dec 2021 16:50:47 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
> > Another symptom of printing the wrong way, similar to bug#52222.
> > Printing with `edebug-safe-prin1-to-string' should fix it and be the
> > right thing, right?
>
> Sounds like the right solution to me.  Michael, you've investigated
> this issue in the bug#52222 context -- can you do the fixes here?

Yes, don't care, I have a fix, I'm just a bit slow.  There are lots of
places in Edebug where printing is done, so I want to be careful to not
change wrong places.

Michael.